html, body {
    width: 100%;
    height: 100%;
}

body {
    margin: 0px;
    padding: 0px;
}

.my.my.my.my {
    display: flex;
    flex-direction: column;
    min-height: 100%;
}

.my.my.my.my main {
    flex: 1;
}

/* 导航栏 */
.my.my.my.my nav {
    width: 100%;
    height: 50px;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
    background-color: rgb(250, 250, 250);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.my.my.my.my nav .links {
    padding-right: 10px;
    display: flex;
    gap: 5px;
}

/* 超链接 */
.my.my.my.my a {
    position: relative;
    color: rgb(100, 100, 100);
    font-weight: bold;
    text-decoration: none;
    width: 100px;
    line-height: 50px;
    text-align: center;
    transition: all 0.3s ease;
}

.my.my.my.my a:hover {
    color: rgb(200, 170, 170);
    transition: all 0.3s ease;
}

.my.my.my.my nav a:not(.now-this)::after {
    content: '';
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 0px;
    height: 2px;
    background-color: rgb(200, 170, 170);
    transition: width 0.3s ease;
}

.my.my.my.my nav a:not(.now-this):hover::after {
    width: 100%;
}

.my.my.my.my nav a.now-this {
    border-bottom: 2px rgba(0, 0, 0, 0.2) solid;
    background-color: rgba(0, 0, 0, 0.1);
}

/* 尾栏 */
.my.my.my.my footer {
    width: 100%;
    height: 200px;
    box-shadow: 0px -5px 15px rgba(0, 0, 0, 0.1);
    background-color: rgb(250, 250, 250);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.my.my.my.my footer .left-section {
    display: flex;
    justify-content: space-end;
    align-items: center;
    gap: 10px;
    
    padding-right: 30px;
}

.my.my.my.my footer .left-section .links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.my.my.my.my footer .left-section .links a {
    text-align: left;
    line-height: 30px;
}

.my.my.my.my footer .left-section .abouts {
    align-self: flex-end;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    line-height: 11.3px;
}

/* 内容 */
.my.my.my.my main .content {
    padding-left: 30px;
    padding-right: 30px;
}

/* 动画 */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.my.my.my.my nav {
    animation: fadeInDown 1s ease forwards;
}

.my.my.my.my main {
    animation: fadeIn 1s ease forwards;
}

.my.my.my.my footer {
    animation: fadeInUp 1s ease forwards;
}
